##Traitement des donnees d une simulation d un essai de compression uniaxiale
set grid
set key spacing 1.6
set ytics nomirror
set xtics nomirror
a1 = 0.8
a2 = 1.5
a3 = 2.
c = ",10"
d = ",16"
e = ",14"
########################################################################
#set termoption dashed
unset colorbox
set for [i=1:2] linetype i dt i
set style line 1 lt 2
########################################################################
###################################Simulation###########################
########################################################################
#Sc33 vs Eh33
set key at -0.4,-2.7
set xlabel 'Hencky strain, {/Symbol e}_{33} [-]'
set ylabel 'Cauchy stress, {/Symbol s}_{33} [MPa]'

plot '../identification-PP-CU30-E4.exp' every ::0::206 u (log($4)):9 w l ls 1 lw a2 lc rgb 'black' t 'Uniaxial compression test',\
     '../comp-uni_princ.maple' u (log(sqrt(1/(1-2*$753)))):(-$4/(sqrt(1/(1-2*$752))**2.)) w l ls 3 lw a2 lc rgb 'dark-green' t 'Simulation (C=Orgeas, T=Hooke)'
pause-1
#_______________________________________________________________________
#L2 vs L3
set key at 0.73,1.007
set ylabel '{/Symbol l}_2, [-]'
set xlabel '{/Symbol l}_3, [-]'

plot '../identification-PP-CU30-E4.exp' every ::0::206 u 4:3 w l ls 3 lw a2 lc rgb 'black' t'Uniaxial compression test',\
     '../comp-uni_princ.maple' u (sqrt(1/(1-2*$753))):(sqrt(1/(1-2*$752))) w l ls 3 lw a2 lc rgb 'dark-green' t 'Simulation (C=Orgeas, T=Hooke)'
pause-1
#_______________________________________________________________________
#Qsig vs J1-3
set key at 0.6,3.
set xlabel 'J1-3, [-]'
set ylabel 'Intensity shear stress, [MPa]'
set autoscale

plot '../identification-PP-CU30-E4.exp' every ::0::203 u ($6-3.):(abs($11)) w l ls 1 lw a2 lc rgb 'black' t 'Uniaxial compression test',\
     '../comp-uni_princ.maple' u (((sqrt(1/(1-2*$753))/sqrt(1/(1-2*$752)))**(4./3.)) + 2.*((sqrt(1/(1-2*$753))/sqrt(1/(1-2*$752)))**(-2./3.))-3.):(sqrt(2./3.)*(abs($4/(sqrt(1/(1-2*$752))**2.)))) w l ls 3 lw a2 lc rgb 'dark-green' t 'Simulation (C=Orgeas, T=Hooke)'
pause-1
#_______________________________________________________________________
#P vs V
set key at 1.05,1.2
set xlabel 'V(t)/V_0, [-]'
set ylabel 'Hydrostatic pressure, [MPa]'
set autoscale

plot '../identification-PP-CU30-E4.exp' every ::0::203 u 7:($10) w l ls 1 lw a2 lc rgb 'black' t 'Uniaxial compression test',\
     '../comp-uni_princ.maple' u (sqrt(1/(1-2*$753))*sqrt(1/(1-2*$752))*sqrt(1/(1-2*$751))):($4/(3.*sqrt(1/(1-2*$752))**2.)) w l ls 3 lw a2 lc rgb 'dark-green' t 'Simulation (C=Orgeas, T=Hooke)'
pause-1
########################################################################
########################Comparaison simu-exp############################
########################################################################
#Qsig vs Qeps
set key at 0.6,3.
set xlabel 'Q_{/Symbol e}^H, [-]'
set ylabel 'Q_{/Symbol s}, [MPa]'
set autoscale

plot '../identification-PP-CU30-E4.exp' every ::0::206 u 8:(abs($11)) w l ls 1 lw a2 lc rgb 'black' t 'Uniaxial compression test',\
     '../comp-uni_princ.maple' u (sqrt((2./3.)*(log(sqrt(1/(1-2*$753)))**2.+log(sqrt(1/(1-2*$752)))**2.-2.*log(sqrt(1/(1-2*$753)))*log(sqrt(1/(1-2*$752)))))):(sqrt(2./3.)*(abs($4/(sqrt(1/(1-2*$752))**2.)))) w l ls 3 lw a2 lc rgb 'dark-green' t 'Simulation (C=Orgeas, T=Hooke)'
pause-1
